> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/nfc-wallet-sdk-ios/implement-nfc-wallet/check-contactless-capability.md).

# Check contactless capability

## Overview

Run this check if your **digital wallet application** supports contactless payments.

Call it after **NFC Wallet SDK** initialization, and before [Enroll wallet](/nfc-wallet-sdk-ios/implement-nfc-wallet/enroll-wallet.md) and **Tokenization**.

{% hint style="info" %}
If the device is not eligible for contactless payments, hide or disable contactless payment entry points for the **end user**.
{% endhint %}

## SDK Integration

Use `deviceEligibility` with `contactlessPaymentEligibility`.

Handle these results:

* `supported`: The device can make contactless payments.
* `deviceNotSupported`: The device does not support NFC or HCE.
* `systemNotEligible`: The device or Apple ID is not in the EEA (European Economic Area).
* `iosVersionNotSupported`: The device does not meet the minimum iOS version (iOS 17.4).

```swift
let contactlessEligibility = await TSHPay.shared.deviceEligibility.contactlessPaymentEligibility
            
switch contactlessEligibility {
  case .deviceNotSupported(let reason):
      // Device is not eligible due to missing NFC or HCE support.
      break
  case .systemNotEligible:
      // System is not eligible because the device or Apple ID is not in the EEA.
      break
  case .iosVersionNotSupported(let currentVersion):
      // The OS version does not meet the minimum required version (iOS 17.4).
      break
  case .supported:
      // Device is eligible to make contactless payments.
      break
}
```

{% hint style="info" %}
Run this check before you call [Enroll wallet](/nfc-wallet-sdk-ios/implement-nfc-wallet/enroll-wallet.md) and [Tokenize a card](/nfc-wallet-sdk-ios/implement-nfc-wallet/tokenize-a-card.md).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payments.thalescloud.io/nfc-wallet-sdk-ios/implement-nfc-wallet/check-contactless-capability.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
